### Enumeration

# Gio AskPasswordFlags

#### Declaration

    flags Gio.AskPasswordFlags

#### Description [src]

`GAskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

#### Members

Name | Description
--- | ---
`G_ASK_PASSWORD_NEED_PASSWORD` | Operation requires a password.
`G_ASK_PASSWORD_NEED_USERNAME` | Operation requires a username.
`G_ASK_PASSWORD_NEED_DOMAIN` | Operation requires a domain.
`G_ASK_PASSWORD_SAVING_SUPPORTED` | Operation supports saving settings.
`G_ASK_PASSWORD_ANONYMOUS_SUPPORTED` | Operation supports anonymous users.
`G_ASK_PASSWORD_TCRYPT` | Operation takes TCRYPT parameters (Since: 2.58)